# Versioning Policy

## Backward compatibility <a href="#backwards-compatibility" id="backwards-compatibility"></a>

The following changes are considered backwards compatible:

* Adding new API resources.
* Adding new optional request parameters to existing API methods.
* Adding new properties to existing API responses.
* Changing the order of properties in existing API responses.
* Changing the length or format of object IDs or other opaque strings.&#x20;
* Altering the `message` attributes returned by our [errors](/documentation/api-reference/errors.md).
* Adding new webhooks [event types](/documentation/api-reference/other-resources/webhooks.md#event-types). Your webhook listener should gracefully handle unfamiliar event types.

## Changelog <a href="#changelog" id="changelog"></a>

### v1.7.3

* Added new Static Data endpoints.
* Additional webhook [event types](/documentation/api-reference/other-resources/webhooks.md#event-types) added.

### v1.7.2

* You can now use almost all attributes for [filtering](/documentation/api-reference/filtering.md).

### v1.7.1

* Added `joinedDate` to [clients](/documentation/api-reference/core-resources/clients.md) to allow for migrated clients.

### v1.7.0

* Extended [country coverage](https://docs.complycube.com/documentation/checks/document-check/document-types-per-country) for [Document Checks](/documentation/api-reference/check-types/document-check.md).
* Extended [list coverage](https://docs.complycube.com/documentation/checks/aml-screening-check) for [AML Screening Checks](/documentation/api-reference/check-types/aml-screening-check.md).
* Added more [test scenarios](https://docs.complycube.com/documentation/useful-resources/testing-data) to the sandbox environment.&#x20;

### v1.6.0

* Introduced [Service Quota](/documentation/api-reference/service-quota.md) to API.
* Added more [test scenarios](https://docs.complycube.com/documentation/useful-resources/testing-data) to the sandbox environment.&#x20;

### v1.5.0

* [Reports](/documentation/api-reference/other-resources/reports.md) can now generate a summary client report.
* Additional country risk sources were added to [Risk Profile](/documentation/api-reference/core-resources/risk-profile.md).

### v1.4.1

* Added additional `classifications` for [Documents](/documentation/api-reference/core-resources/documents.md).

### v1.4.0

* Introduced [Risk Profile](/documentation/api-reference/core-resources/risk-profile.md).

### v1.3.0

* Added [tokens](/documentation/api-reference/other-resources/tokens.md) endpoint.
* Added `updatedAt` to [checks](/documentation/api-reference/core-resources/checks.md).

### v1.2.2

* Added attribute `telephone` to [clients](/documentation/api-reference/core-resources/clients.md).

### v1.2.1

* Added calculated attribute `entityName` to [clients](/documentation/api-reference/core-resources/clients.md).

### v1.2.0

* Ability to create [clients](/documentation/api-reference/core-resources/clients.md) of the type `company`.&#x20;

### v1.1.0

* Introduced [Extensive AML Screening](/documentation/api-reference/check-types/aml-screening-check.md).
* Added more [error](/documentation/api-reference/errors.md) types.

### v1.0.1

* Added additional [address](/documentation/api-reference/core-resources/addresses.md) types.

### v1.0.0

* Initial release.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/versioning.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
